> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Points

> Get point systems from your community



## OpenAPI

````yaml GET /v1/community/points
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/points:
    get:
      description: Get point systems from your community
      parameters:
        - in: header
          name: x-api-key
          schema:
            $ref: '#/components/schemas/__schema0'
          required: true
          description: Your community API key
        - in: query
          name: query
          schema:
            description: Search query to match point system name against
            type: string
            maxLength: 256
          description: Search query to match point system name against
        - in: query
          name: statuses
          schema:
            description: Point system statuses to filter by
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - ARCHIVED
                - SUSPENDED
          description: Point system statuses to filter by
        - in: query
          name: permission
          schema:
            description: Required permission for returned point systems
            default: VIEW
            type: string
            enum:
              - VIEW
              - TRANSFER
              - SPEND
              - PRINT
          description: Required permission for returned point systems
        - in: query
          name: includeShared
          schema:
            description: Whether to include shared point systems available through collabs
            default: false
            type: boolean
          description: Whether to include shared point systems available through collabs
        - in: query
          name: offset
          schema:
            default: 0
            type: number
            minimum: 0
        - in: query
          name: limit
          schema:
            default: 20
            type: number
            minimum: 0
            maximum: 50
      responses:
        '200':
          description: Point systems have been retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    description: Point systems matching the query
                    type: array
                    items:
                      example:
                        id: 01964da2-5a0c-7ea4-99de-2301c1ef5bd7
                        communityId: 90895e48-0db7-4e99-b63a-b4401753da62
                        status: ACTIVE
                        createdAt: 1770897600000
                        name: XP
                        description: Community experience
                        emoji: ✨
                        aliases:
                          - exp
                          - experience
                        isTransferable: false
                        isBurnable: false
                        permissions:
                          - VIEW
                          - TRANSFER
                          - SPEND
                          - PRINT
                        holderCount: 256
                      type: object
                      properties:
                        id:
                          description: Unique point system ID
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        status:
                          description: Point system status
                          type: string
                          enum:
                            - ACTIVE
                            - ARCHIVED
                            - SUSPENDED
                        createdAt:
                          description: Timestamp of when the point system was created
                          type: number
                        name:
                          description: Name of the point system
                          type: string
                          maxLength: 32
                        description:
                          description: Description of the point system
                          anyOf:
                            - type: string
                              maxLength: 256
                            - type: 'null'
                        emoji:
                          description: Points emoji
                          anyOf:
                            - anyOf:
                                - type: string
                                  maxLength: 3
                                - type: string
                                  maxLength: 64
                                  pattern: ^<a?:.+?:\d+>$
                            - type: 'null'
                        aliases:
                          description: Optional point system aliases
                          anyOf:
                            - maxItems: 3
                              type: array
                              items:
                                type: string
                                minLength: 1
                                maxLength: 10
                            - type: 'null'
                        isTransferable:
                          description: >-
                            Whether points can be transferred between community
                            members or not
                          anyOf:
                            - type: boolean
                            - type: 'null'
                        isBurnable:
                          description: >-
                            Whether points can be burnable by community members
                            or not
                          anyOf:
                            - type: boolean
                            - type: 'null'
                        communityId:
                          description: ID of the community this point system belongs to
                          type: string
                        permissions:
                          description: >-
                            Permissions that your community has for this point
                            system
                          type: array
                          items:
                            type: string
                            enum:
                              - VIEW
                              - TRANSFER
                              - SPEND
                              - PRINT
                        holderCount:
                          description: >-
                            Number of users with a positive balance in this
                            point system
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - id
                        - status
                        - createdAt
                        - name
                        - communityId
                        - permissions
                        - holderCount
                      additionalProperties: false
                  pagination:
                    $ref: '#/components/schemas/__schema14'
                    description: Pagination metadata
                required:
                  - data
                  - pagination
                additionalProperties: false
components:
  schemas:
    __schema0:
      description: Your community API key
      type: string
    __schema14:
      type: object
      properties:
        offset:
          description: Offset used by the query
          type: number
        limit:
          description: Limit used by the query
          type: number
        total:
          description: Total items matching the query
          type: number
        count:
          description: Total items included in the response
          type: number
      required:
        - offset
        - limit
        - total
        - count
      additionalProperties: false

````